Skip to main content
GET
Fetch mass payments
Fetch the mass payments of a client, optionally filtered The MassPaymentStatus field will provide the latest status whether processing is complete or still running. API consumers can retrieve a mass payment using an external_reference_id provided at the time of the mass payment submission.

Headers

Authorization
string
required

The access token.

Query Parameters

client_id
string
required

The identifier of a client.

mass_payment_id
string<uuid>

Filter by mass payment ID

external_reference_id
string

Filter by the external reference of the mass payment

Minimum string length: 1
sell_currency
string

Filter by the sell currency of the mass payment

Pattern: ^[A-Z]{3}$
page
integer<int32>

The desired page number for pagination. By default is 1.

page_size
integer<int32>

The number of items per page for pagination. By default is 50.

Response

List of mass payments

mass_payment_id
string<uuid>

The UUID of the MassPayment

external_reference_id
string

External reference of the mass payment

error
object

An error message.

mass_payment_status
enum<string>

This is an enumeration of the status of a MassPayment

Available options:
Queued for processing,
Processing,
Processed,
Queued for creating,
Creating,
Created,
Cancelled,
Failed
sell_currency
string

Sell currency

trades_created
number

Number of trades created

payments_summary
object